# Timetable to ICS

This is a simple script to convert the timetable from SIT's website into an ICS file.

## Usage

Clone the repository and install the dependencies

```bash
git clone <REPO_URL>
cd SIT_Timetable
pip install -r requirements.txt
```

Go to in4sit, login and go to the timetable page.

Head to `Course Management` > `My Weekly Schedule` > `List View`

Inspect and find the table element:

```html
<table role="presentation" border="0" id="ACE_STDNT_ENRL_SSV2$0" cellpadding="0" cellspacing="0" cols="2" width="551" class="PABACKGROUNDINVISIBLE" style="border-style:none">
```

Copy the table from `<table>` to `</table>` and paste it into a file called `timetable.html` in the root of the repository and run the script.

```bash
python cal.py
```

An ICS file will be generated in the root of the repository.

## License

MIT

## Disclaimer

This is a personal project and is not affiliated with SIT in any way. I am not responsible for any damages caused by the use of this script.
